summaryrefslogtreecommitdiff
path: root/source3/script/tests/tests_all.sh
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2008-03-31 13:54:39 +0200
committerMichael Adam <obnox@samba.org>2008-04-01 00:09:59 +0200
commit96801c3f63d52ca2f4fd4bf109898daa4b5a3363 (patch)
tree4c067de43cb96f15ea1d2f916359f0609e3e39a3 /source3/script/tests/tests_all.sh
parent161db3e8e82857987382d204b2113abbbb1fcf4f (diff)
downloadsamba-96801c3f63d52ca2f4fd4bf109898daa4b5a3363.tar.gz
samba-96801c3f63d52ca2f4fd4bf109898daa4b5a3363.tar.bz2
samba-96801c3f63d52ca2f4fd4bf109898daa4b5a3363.zip
test: add test script for testing "net registry".
Michael (This used to be commit fa5968a26b552d7f13574a826e506ed2d6630feb)
Diffstat (limited to 'source3/script/tests/tests_all.sh')
-rwxr-xr-xsource3/script/tests/tests_all.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source3/script/tests/tests_all.sh b/source3/script/tests/tests_all.sh
index e2cfad6648..5e215379f7 100755
--- a/source3/script/tests/tests_all.sh
+++ b/source3/script/tests/tests_all.sh
@@ -42,6 +42,12 @@ ntlm_auth_s3() {
|| failed=`expr $failed + $?`
}
+net_registry() {
+ echo "RUNNING SUBTESTS net_registry"
+ $SCRIPTDIR/test_net_registry.sh \
+ || failed=`expr $failed + $?`
+}
+
posix_s3() {
echo "RUNNING SUBTESTS posix_s3"
eval "$LIB_PATH_VAR="\$SAMBA4SHAREDDIR:\$$LIB_PATH_VAR"; export $LIB_PATH_VAR"
@@ -66,6 +72,7 @@ if test "x$RUNTESTS" = "x" ; then
smbclient_s3_encrypted
wbinfo_s3
ntlm_auth_s3
+ net_registry
posix_s3
else
for THIS_TEST in $RUNTESTS; do